OGRE: Ogre::RenderSystemCapabilitiesSerializer Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RenderSystemCapabilitiesSerializer Class Reference
Core » RenderSystem

Class for serializing RenderSystemCapabilities to / from a .rendercaps script. More...

`#include <OgreRenderSystemCapabilitiesSerializer.h>`

Inheritance diagram for Ogre::RenderSystemCapabilitiesSerializer:
[legend]

## Public Member Functions
| RenderSystemCapabilitiesSerializer ()
| default constructor
void | parseScript (DataStreamPtr &stream)
| Parses a RenderSystemCapabilities script file passed as a stream.
void | writeScript (const RenderSystemCapabilities *caps, const String &name, const String &filename)
| Writes a RenderSystemCapabilities object to a data stream.
String | writeString (const RenderSystemCapabilities *caps, const String &name)
| Writes a RenderSystemCapabilities object to a string.

## Detailed Description

Class for serializing RenderSystemCapabilities to / from a .rendercaps script.

## Constructor & Destructor Documentation

## ◆ RenderSystemCapabilitiesSerializer()

Ogre::RenderSystemCapabilitiesSerializer::RenderSystemCapabilitiesSerializer | ( |  | ) |

default constructor

## Member Function Documentation

## ◆ writeScript()

void Ogre::RenderSystemCapabilitiesSerializer::writeScript | ( | const RenderSystemCapabilities * | caps,
|  | const String & | name,
|  | const String & | filename )

Writes a RenderSystemCapabilities object to a data stream.

## ◆ writeString()

String Ogre::RenderSystemCapabilitiesSerializer::writeString | ( | const RenderSystemCapabilities * | caps,
|  | const String & | name )

Writes a RenderSystemCapabilities object to a string.

## ◆ parseScript()

void Ogre::RenderSystemCapabilitiesSerializer::parseScript | ( | DataStreamPtr & | stream | ) |

Parses a RenderSystemCapabilities script file passed as a stream.

Adds it to RenderSystemCapabilitiesManager::_addRenderSystemCapabilities

The documentation for this class was generated from the following file:

- OgreRenderSystemCapabilitiesSerializer.h